Attribute VB_Name = "Module1"
'LinTrans.bas

Option Base 1
DefInt A-T
DefSng U-Z

'For fitting a bitmap into picturebox Pic(1) from Pic(0)
Public Declare Function StretchBlt Lib "gdi32" _
(ByVal hdc As Long, ByVal X As Long, _
ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, _
ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, _
ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long
'rs&=StretchBlt(hdcD,xD,yD,wiD,htD,hdcS,xS,yS,wiS,htS,SRCCOPY)

'Windows API - faster then VB's PSet and Point
Public Declare Function SetPixelV Lib "gdi32" _
(ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal crColor As Long) As Long
Public Declare Function GetPixel Lib "gdi32" _
(ByVal hdc As Long, ByVal X As Long, ByVal Y As Long) As Long

Public Const SRCCOPY = &HCC0020
Public Const pi# = 3.14159265

Public Function zATan2(Y, X)
'Const pi# = 3.14159265
'Input:  deltay(Y),deltax(X) - real
'Output: atan(Y/X) for -pi#/2 to pi#/2
If X <> 0 Then
   zATan2 = Atn(Y / X)
   If (X < 0) Then
      If (Y < 0) Then zATan2 = zATan2 - pi# Else zATan2 = zATan2 + pi#
   End If
Else  'x=0
   If Abs(Y) > 0 Then   'Must be an overflow
      If Y > 0 Then zATan2 = pi# / 2 Else zATan2 = -pi# / 2
   Else  '0/0
      zATan2 = 0
   End If
End If
End Function

Public Sub ExtrPath_Name(FileSpec$, PathName$, FileName$)
'In:  FileSpec$ = Full FileSpec
'Out: PathName$ & FileName$
'NB Could use Split function but VB5 doesn't have it?
PathName$ = " "
FileName$ = " "
If FileSpec$ = "" Then Exit Sub
'Find pbs on last backslash \
p = 0: pbs = 0
Do: p = InStr(p + 1, FileSpec$, "\")
    If p <> 0 Then pbs = p Else Exit Do
Loop
If pbs > 0 Then
   PathName$ = Left$(FileSpec$, pbs)
   FileName$ = Mid$(FileSpec$, pbs + 1)
End If
End Sub


